function resid = recycle_reactor(x)
  global ktheta alpha Na3 ntype
  Na1 = x(1);
  Na2 = x(2);
  if (ntype == 1)
    Na3 = x(3);
  elseif (ntype == 2)
    alpha = x(3);
  else
    error ('recycle_reactor: ntype out of range')
  end
  % reactor balance
  resid = zeros(size(x));
  resid(1) = (1+ktheta/Na1)*Na2 - Na1;
  % feed mixer
  resid(2) = alpha*Na2 + 1. -Na1;
  % outlet splitter
  resid(3) = Na3 - (1-alpha)*Na2;