function dNdv = rxrate(v,x)
  global k P R1 T

  N1 = x(1);
  N2 = x(2);
  N3 = x(3);
  N4 = x(4);
  N5 = x(5);
  N6 = x(6);
  N7 = x(7);
  N8 = x(8);

  Ntot = N1 + N2 + N3 + N4 + N5 + N6 + N7 + N8;
  Ctot = P/(R1*T);
  C1 = (N1/Ntot)*Ctot;
  C2 = (N2/Ntot)*Ctot;
  C4 = (N4/Ntot)*Ctot;
  C5 = (N5/Ntot)*Ctot;

  r1 = k(1)*C1;
  r2 = k(2)*C1*C2;
  r3 = k(3)*C4;
  r4 = k(4)*C1*C5;
  r5 = k(5)*C4*C5;

  dNdv = zeros (8, 1);

  dNdv(1) = -r1 - r2 - r4 + r5;
  dNdv(2) = 2*r1 - r2;
  dNdv(3) = r2;
  dNdv(4) = r2 - r3 + r4 - r5;
  dNdv(5) = r3  - r4 - r5;
  dNdv(6) = r3;
  dNdv(7) = r4;
  dNdv(8) = 0;