% Copyright (C) 2001, James B. Rawlings and John G. Ekerdt
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2, or (at
% your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; see the file COPYING.  If not, write to
% the Free Software Foundation, 59 Temple Place - Suite 330, Boston,
% MA 02111-1307, USA.

global k_m T_m E c_Af c_A C_ps T_f DeltaH_R U T_a
%
% multiplicity parameters
%
% units are kmol, min, kJ, K, m^3
%
%
k_m      = 0.001;
T_m      = 298;
E        = 8000;
c_Af     = 2;
C_p      = 4;
rho      = 1000;
C_ps     = rho*C_p;
T_f      = 298;
T_a      = T_f;
DeltaH_R = -3e5;
U        = 0;
%
% limit cycle parameters
%
%k_0      = 4.48e17;
%E        = 15000;
%c_Af     = 3;
%C_ps     = 4.19e3;
%T_f      = 298;
%T_a      = T_f;
%DeltaH_R = -1.571e5;
%U        = 6.029;
%theta    = 2085;


x0=[1; T_f];
nc_As = 200;
tmp_table(1,:) = [0 T_f 0 0];
c_Avect = linspace(0.995*c_Af, .005*c_Af, nc_As);
for i = 1: nc_As
  c_A = c_Avect(i);
  opts = optimset ('MaxFunEvals', 2000*numel (x0), ...
                   'MaxIter', 500*numel (x0));
  [x, fval, info] = fsolve('st_st_cA', x0, opts);
  theta = x(1);
  T     = x(2);
  conv     = (c_Af - c_A) / c_Af;
  tmp_table(i+1,:) = [theta, T, conv, info];
  x0=x;
end
table = [tmp_table];
save -ascii s_shape.dat table;

if (~ strcmp (getenv ('OMIT_PLOTS'), 'true')) % PLOTTING
  plot (table(:,1),table(:,3));
  axis ([0,45,0,1]);

  figure()
  plot (table(:,1),table(:,2));
  axis ([0,45,280,460]);
% TITLE
end % PLOTTING