function retval = eta_calc(para, p)
  c = para(1:end-1);
  psi = para(end);
  eta = 10^(p.rE*sin(psi) + log10(p.eta_prev));
  phi = 10^(p.rE*cos(psi) + log10(p.phi_prev));
  phi_hat = phi*p.I;

  ep = exp(p.gamma*p.beta*(1-c)./(1+p.beta*(1-c)));

  retval = zeros(length(para),1);

  retval(1:end-1) = p.A*c*2./p.R + p.B*c - phi_hat^2*c.*ep;
  retval(1) = p.A(1,:)*c;
  retval(end-1) = c(end) - p.cS;

  dcdr = p.A*c;
  eta_colloc = dcdr(end)/phi_hat^2;
  retval(end) = eta - eta_colloc;