function retval = pellet(x)
  global  npts A Aint Bint Rint  caf cbf ccf ...
          k10 E1 k20 E2 Ka0 Ea Kc0 Ec Da Db Dc T ...
          Ra Rb Rc Da Db Dc kma kmb kmc dcadr dcbdr dccdr
  %
  % component A
  %
  za = x(1:npts);
  zb = x(npts+1:2*npts);
  zc = x(2*npts+1:3*npts);
  ca = exp(za);
  cb = exp(zb);
  cc = exp(zc);

  k1      = k10*exp(-E1/T);
  k2      = k20*exp(-E2/T);
  Ka      = Ka0*exp(-Ea/T);
  Kc      = Kc0*exp(-Ec/T);
  den     = (1+Ka*ca+Kc*cc).^2;
  r1      = k1.*ca.*cb./den;
  r2      = k2*cc.*cb./den;
  Ra      = - r1;
  Rb      = - 1/2*r1  - 9/2*r2;
  Rc      = - r2;
  ip = 1;
  retval(ip)    = A(1,:)*za;
  caint = ca(2:npts-1);
  retval(ip+1:ip+npts-2) = Bint*za + Aint*za.*(Aint*za + 2./Rint) + ...
      Ra(2:npts-1)./(Da*caint);
  dzadr = A(npts,:)*za;
  retval(ip+npts-1) = Da*dzadr - kma*(caf/ca(npts) - 1);
  %
  % component B
  %
  ip = npts+1;
  cbint = cb(2:npts-1);
  retval(ip)    = A(1,:)*zb;
  retval(ip+1:ip+npts-2) = Bint*zb + Aint*zb.*(Aint*zb + 2./Rint) + ...
      Rb(2:npts-1)./(Db*cbint);
  dzbdr = A(npts,:)*zb;
  retval(ip+npts-1) =  Db*dzbdr - kmb*(cbf/cb(npts) - 1);
  %
  % component C
  %
  ip = 2*npts+1;
  ccint = cc(2:npts-1);
  retval(ip)    = A(1,:)*zc;
  retval(ip+1:ip+npts-2) = Bint*zc + Aint*zc.*(Aint*zc + 2./Rint) + ...
      Rc(2:npts-1)./(Dc*ccint);
  dzcdr = A(npts,:)*zc;
  retval(ip+npts-1) = Dc*dzcdr - kmc*(ccf/cc(npts) - 1);
  dcadr = dzadr.*ca;
  dcbdr = dzbdr.*cb;
  dccdr = dzcdr.*cc;