function res = bed(t, y, ydot)
  global epsb Da Db Dc a T ...
      Ntfin Nafin Ncfin Pin Tin Qin Q Cptot U Ta Rt delH1 delH2 ...
      km Rp  vis massf Ac dcadr dcbdr dccdr caf cbf ccf
%  fprintf('time= %g \n',t);
  Naf = y(1);
  Nbf = y(2);
  Ncf = y(3);
  T   = y(4);
  P   = y(5);
  zpellet = y(6:length(y));

  Ntf  = Ntfin -1/2*(Nafin - Naf) + 1/2*(Ncfin - Ncf);
  Q  = Qin * Pin/P*T/Tin*Ntf/Ntfin;
  caf = Naf/Q;
  cbf = Nbf/Q;
  ccf = Ncf/Q;
  %
  % calculate pellet residual and update
  % total pellet reaction rate through dcadr dcbdr dccdr
  %
  pelletres = pellet(zpellet);
  r1p   = Da/a*dcadr;
  r2p   = Dc/a*dccdr;

  Rj    = -(1-epsb)/a*[ Da*dcadr; Db*dcbdr; Dc*dccdr];
  dT    = ( -(delH1*r1p + delH2*r2p) + 2/Rt*U*(Ta-T) ) / Cptot;
%  dT    = 0;
  dP    = - (1-epsb)*Q / ( 2*Rp*epsb^3.*Ac^2. ) * ...
          ( 150*(1-epsb)*vis/(2*Rp) + 7/4*massf/Ac );
%  dP = 0;
  rhs = [Rj; dT; dP];
  res(1:5,1) = ydot(1:5) - rhs;
  res(6:length(y),1) = pelletres;