function rhs = particles(x)
  global thetabar caf cbf alpha kma kmb k1 ncolpt A B Qz z r p cabar cbbar
  ca = x(1:ncolpt);
  cb = x(ncolpt+1:2*ncolpt);
  cabar = x(2*ncolpt+1);
  cbbar = x(2*ncolpt+2);
  inta = Qz'*(ca .* p);
  intb = Qz'*(cb .* p);
  rx =  k1 * ca.*cb;
  intrx = thetabar*Qz'*(rx .* p);
  first = [A*ca; A*cb];
  rhs = first - [kma*3/r*(cabar-ca)+rx; kmb*3/r*(cbbar-cb)+rx];
  % initial condition
  rhs(1) = ca(1)-caf;
  rhs(ncolpt+1) = cb(1);
  % total balances
  rhs(2*ncolpt+1) = caf - inta - intrx -k1*cabar*cbbar*thetabar/alpha ...
                    - cabar/alpha;
  rhs(2*ncolpt+2) = cbf - alpha*intb - alpha*intrx -k1*cabar*cbbar*thetabar ...
                    - cbbar;